Subject: Re: [PATCH ARM64] selftests, arm64: add kernel headers path for tags_test

From: Cristian Marussi <[email-masked]>
Date: Fri, 6 Sep 2019 15:21:49 +0100

On 06/09/2019 14:55, Andrey Konovalov wrote:
> On Fri, Sep 6, 2019 at 3:51 PM Will Deacon <[email-masked]> wrote:
>>
>> On Wed, Sep 04, 2019 at 06:41:00PM +0200, Andrey Konovalov wrote:
>>> tags_test.c relies on PR_SET_TAGGED_ADDR_CTRL/PR_TAGGED_ADDR_ENABLE being
>>> present in system headers. When this is not the case the build of this
>>> test fails with undeclared identifier errors.
>>>
>>> Fix by providing the path to the KSFT installed kernel headers in CFLAGS.
>>>
>>> Reported-by: Cristian Marussi <[email-masked]>
>>> Suggested-by: Cristian Marussi <[email-masked]>
>>> Signed-off-by: Andrey Konovalov <[email-masked]>
>>> ---
>>>  tools/testing/selftests/arm64/Makefile | 1 +
>>>  1 file changed, 1 insertion(+)
>>
>> Damn, I just tagged the arm64 queue for 5.4 and didn't spot this patch.
>>
>> I'll queue it at -rc1 instead, if that's ok? It doesn't look urgent.
> 
> Sorry, I guess I should have pinged you directly.
> 
> I think it should be fine to leave it for rc1. It might cause a build
> error in some kernel CI systems if they run kselftests though.
> 

It won't be a big issue probably.

Cristian

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel